| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
HTILayer Class Reference
Algo

`#include <ailayer.h>`

Inheritance diagram for HTILayer:
[legend]

## Public Member Functions
| HTILayer (const RefLayer &)
| HTILayer (float thkness, float ai, float si, float den, float fracrho, float fracazi, bool needcompthkness)
| HTILayer (float thkness, float pvel, float svel, float den, float fracrho, float fracazi)
| ~HTILayer ()
const HTILayer * | asHTI () const override
HTILayer * | asHTI () override
RefLayer * | clone () const override
float | getFracAzi () const override
Type | getType () const override
bool | isHTI () const override
bool | isValidFracAzi () const override
RefLayer & | operator= (const HTILayer &)
RefLayer & | setFracAzi (float) override
Public Member Functions inherited from VTILayer
| VTILayer (const RefLayer &)
| VTILayer (float thkness, float ai, float si, float den, float fracrho, bool needcompthkness)
| VTILayer (float thkness, float pvel, float svel, float den, float fracrho)
| ~VTILayer ()
const VTILayer * | asVTI () const override
VTILayer * | asVTI () override
RefLayer * | clone () const override
float | getFracRho () const override
Type | getType () const override
bool | isValidFracRho () const override
bool | isVTI () const override
RefLayer & | operator= (const VTILayer &)
RefLayer & | setFracRho (float) override
Public Member Functions inherited from ElasticLayer
| ElasticLayer (const RefLayer &)
| ElasticLayer (float thkness, float ai, float si, float den, bool needcompthkness)
| ElasticLayer (float thkness, float pvel, float svel, float den)
| ~ElasticLayer ()
const ElasticLayer * | asElastic () const override
ElasticLayer * | asElastic () override
bool | fillVsWithVp (bool onlyinvalid)
| Compute Vs from Castagna.
float | getSI () const override
float | getSVel () const override
bool | isElastic () const override
bool | isValidVs () const override
RefLayer & | operator= (const ElasticLayer &)
RefLayer & | setSVel (float) override
Public Member Functions inherited from AILayer
| AILayer (const AILayer &)
| AILayer (const RefLayer &)
| AILayer (float thkness, float ai, float den, bool needcompthkness)
| AILayer (float thkness, float vel, float den)
| ~AILayer ()
const AILayer & | asAcoustic () const override
AILayer & | asAcoustic () override
bool | fillDenWithVp (bool onlyinvalid)
float | getAI () const override
float | getDen () const override
float | getPVel () const override
float | getThickness () const override
bool | isValidDen () const override
bool | isValidThickness () const override
bool | isValidVel () const override
RefLayer & | operator= (const AILayer &)
RefLayer & | setDen (float) override
RefLayer & | setPVel (float) override
RefLayer & | setThickness (float) override
Public Member Functions inherited from RefLayer
| RefLayer (const RefLayer &)=delete
virtual | ~RefLayer ()
bool | isOK (bool dodencheck=true, bool dosvelcheck=true, bool dofracrhocheck=true, bool dofracazicheck=true) const
bool | operator!= (const RefLayer &) const
RefLayer & | operator= (const RefLayer &)
bool | operator== (const RefLayer &) const

## Protected Member Functions
void | copyFrom (const RefLayer &) override
Protected Member Functions inherited from VTILayer
void | copyFrom (const RefLayer &) override
Protected Member Functions inherited from RefLayer
| RefLayer ()

## Private Attributes
float | fracazi_

## Additional Inherited Members
Public Types inherited from RefLayer
enum | Type { Acoustic , Elastic , VTI , HTI }
Static Public Member Functions inherited from RefLayer
static RefLayer * | clone (const RefLayer &, const Type *require=nullptr)
static RefLayer * | create (Type)
static Type | getType (bool needswave, bool needfracrho, bool needfracazi)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ HTILayer() [1/3]

HTILayer::HTILayer | ( | float | thkness,
|  | float | pvel,
|  | float | svel,
|  | float | den,
|  | float | fracrho,
|  | float | fracazi )

## ◆ HTILayer() [2/3]

HTILayer::HTILayer | ( | float | thkness,
|  | float | ai,
|  | float | si,
|  | float | den,
|  | float | fracrho,
|  | float | fracazi,
|  | bool | needcompthkness )

## ◆ HTILayer() [3/3]

HTILayer::HTILayer | ( | const RefLayer & |  | ) |

## ◆ ~HTILayer()

HTILayer::~HTILayer | ( |  | ) |

## Member Function Documentation

## ◆ asHTI() [1/2]

const HTILayer * HTILayer::asHTI | ( |  | ) | const
| inline override virtual

Reimplemented from RefLayer.

## ◆ asHTI() [2/2]

HTILayer * HTILayer::asHTI | ( |  | ) |
| inline override virtual

Reimplemented from RefLayer.

## ◆ clone()

RefLayer * HTILayer::clone | ( |  | ) | const
| override virtual

Reimplemented from ElasticLayer.

## ◆ copyFrom()

void HTILayer::copyFrom | ( | const RefLayer & |  | ) |
| override protected virtual

Reimplemented from ElasticLayer.

## ◆ getFracAzi()

float HTILayer::getFracAzi | ( |  | ) | const
| inline override virtual

Reimplemented from RefLayer.

## ◆ getType()

Type HTILayer::getType | ( |  | ) | const
| inline override virtual

Reimplemented from ElasticLayer.

## ◆ isHTI()

bool HTILayer::isHTI | ( |  | ) | const
| inline override virtual

Reimplemented from RefLayer.

## ◆ isValidFracAzi()

bool HTILayer::isValidFracAzi | ( |  | ) | const
| override virtual

Reimplemented from RefLayer.

## ◆ operator=()

RefLayer & HTILayer::operator= | ( | const HTILayer & |  | ) |

## ◆ setFracAzi()

RefLayer & HTILayer::setFracAzi | ( | float |  | ) |
| override virtual

Reimplemented from RefLayer.

## Member Data Documentation

## ◆ fracazi_

float HTILayer::fracazi_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025